package com.lightinit.hsdataplatformresdir.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/6/18
 * @Description:
 * 数据项类型：字符型 C、数值型 N、货币型 Y、
 * 日期型 D、日期时间型 T、逻辑型 L、备注型 M、通用型 G、
 * 双精度型 B、整型 I、浮点型 F
 **/
public class DicDataCatelogItemType {
    public final static  String STRING_C="字符型 C";
    public final static  String NUMBER_N="数值型 N";
    public final static  String MONEY_Y="货币型 Y";
    public final static  String DATE_D="日期型 D";
    public final static  String DATETIME_T="日期时间型 T";
    public final static  String LOGIC_L="逻辑型 L";
    public final static  String MARK_M="备注型 M";
    public final static  String GENERAL_G="通用型 G";
    public final static  String DOUBLE_B="双精度型 B";
    public final static  String INTERGER_I="整型 I";
    public final static  String FLOAT_F="浮点型 F";

    private static DicDataCatelogItemType instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicDataCatelogItemType(){
        dicMap=new LinkedHashMap<String,String>();
        dicMap.put(STRING_C,STRING_C);
        dicMap.put(NUMBER_N,NUMBER_N);
        dicMap.put(MONEY_Y,MONEY_Y);
        dicMap.put(DATE_D,DATE_D);
        dicMap.put(DATETIME_T,DATETIME_T);
        dicMap.put(LOGIC_L,LOGIC_L);
        dicMap.put(MARK_M,MARK_M);
        dicMap.put(GENERAL_G,GENERAL_G);
        dicMap.put(DOUBLE_B,DOUBLE_B);
        dicMap.put(INTERGER_I,INTERGER_I);
        dicMap.put(FLOAT_F,FLOAT_F);
    }
    public static DicDataCatelogItemType getInstance(){
        if(null==instance){
            instance=new DicDataCatelogItemType();
        }
        return instance;
    }
    public LinkedHashMap<String,String> getDicMap(){
        return (LinkedHashMap<String,String>)dicMap.clone();
    }
}
